%define name rfmon

Summary:	Red Flag Performance Monitor
Name:		rfmon
Version:	1.1
Release:	9AX
Group:		Applications/System
License:	GPL
Source:		rfmon.tar.gz
Patch:		rfmon-memory_disk.path
Patch1:		rfmon-desktop-authority.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
Red Flag Performance Monitor (rfmon) is a commercial software
developed by Redflag Software Corporation.  rfmon lets a system
administrator monitor system performance (such as CPU load, network
load, disk usage...). The administrator can also configure rfmond to
monitor system automatically.

%prep
%setup -q -n rfmon
%patch -p1
%patch1 -p1

%build
rm -rf %{buildroot}
unset QTDIR
. /etc/profile.d/qt.sh
%ifarch x86_64 ppc64
export suffix=64
%else
export suffix=""
%endif
make

%install
make DESTDIR=%{buildroot} install

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/
cp $RPM_BUILD_ROOT/usr/share/applnk/Settings/rfmon.desktop $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/

%post
ln -fs /usr/lib/rfmin/lib/librfsensors.so.1.0.0 /usr/lib/librfsensors.so
ln -fs /usr/lib/rfmin/lib/librfsensors.so.1.0.0 /usr/lib/librfsensors.so.1
ln -fs /usr/lib/rfmin/lib/librfsensors.so.1.0.0 /usr/lib/librfsensors.so.1.0

#if [ -x /usr/bin/ctrlpanel ];then
#    /usr/bin/ctrlpanel -g GroupSys -i /usr/share/applnk/Settings/rfmon.desktop
#fi
if [ $1 -lt 2 ] ; then
    /sbin/chkconfig --add rfmond
    /sbin/chkconfig --level 0 rfmond off
    /sbin/chkconfig --level 1 rfmond off
    /sbin/chkconfig --level 2 rfmond off
    /sbin/chkconfig --level 3 rfmond on
    /sbin/chkconfig --level 4 rfmond off
    /sbin/chkconfig --level 5 rfmond on
    /sbin/chkconfig --level 6 rfmond off
fi

%preun
rm -f /usr/lib/librfsensors.so.*
#if [ -x /usr/bin/ctrlpanel ];then
#    /usr/bin/ctrlpanel -g GroupSys -u rfmon
#fi
if [ $1 -eq 0 ] ; then
    /sbin/service rfmond stop > /dev/null 2>&1
    /sbin/chkconfig --del rfmond
fi
exit 0

%postun
if [ $1 -gt 0 ] ; then
    /sbin/service rfmond condrestart > /dev/null 2>&1
fi
exit 0

%files
/etc/sysconfig/khwtree/GroupSys/rfmon.desktop
/usr/bin/rfmon
/sbin/rfmond
/etc/rfmond.conf
/etc/init.d/rfmond
/usr/share/rfmon/mod
/usr/share/rfmon/*qm 
/usr/share/applnk/Settings/rfmon.desktop
/usr/share/rfmon/doc/rfmon_alarm_general.jpg
/usr/share/rfmon/doc/rfmon_alarm_restart.jpg
/usr/share/rfmon/doc/rfmon_sensor_add.jpg
/usr/share/rfmon/doc/rfmon_alarm_main.jpg
/usr/share/rfmon/doc/rfmon_main.jpg
/usr/share/rfmon/doc/rfmon_alarm_report.jpg
/usr/share/rfmon/doc/rfmon_monitor_properties.jpg
/usr/share/rfmon/doc/*xml
/usr/share/rfmon/doc/*html
/usr/share/rfmon/doc/en/rfmon_manual.xml
/usr/share/rfmon/doc/en/rfmon_manual.html
/usr/share/rfmon/doc/en/index
/usr/share/rfmon/doc/en/index.cache
/usr/share/rfmon/doc/index
/usr/share/rfmon/doc/index.cache
/usr/lib/rfmin/lib/librfsensors.so.1.0.0
/usr/lib/rfmin/include/rfmon/cmnlib.h
/usr/lib/rfmin/include/rfmon/disk.h
/usr/lib/rfmin/include/rfmon/filesys.h
/usr/lib/rfmin/include/rfmon/manager.h
/usr/lib/rfmin/include/rfmon/memory.h
/usr/lib/rfmin/include/rfmon/network.h
/usr/lib/rfmin/include/rfmon/pin.h
/usr/lib/rfmin/include/rfmon/process.h
/usr/lib/rfmin/include/rfmon/processor.h
/usr/lib/rfmin/include/rfmon/proc/*.h
/usr/lib/rfmin/include/rfmon/sensor.h
/usr/lib/rfmin/include/rfmon/sensorfile.h
/usr/lib/rfmin/include/rfmon/alarmjob.h
/usr/lib/rfmin/include/rfmon/alarm_manager.h  
/usr/share/pixmaps/rfmon.xpm

%changelog
* Thu Dec 21 2006 Liu Xiao <xiaoliu@redflag-linux.com> 1.1-9AX
- Change Desktop can be used other than root with authority

* Tue Apr 18 2006 Shiro Yamada <shiro@miraclelinux.com> 1.1-8AX
- fix it not to update chkconfig levels

* Thu Feb 16 2006 Wang Diancheng <dcwang@redflag-linux.com> 1.1-7
- fix get memory and disk data error in kernel 2.6

* Thu Sep 29 2005 Hua Jie <jiehua@redflag-linux.com> 1.1-6
- modify some Korean strings

* Thu Jul 14 2005 Wang Siyuan <sywang@redflag-linux.com> 1.1.5
- modify spec for ppc64

* Mon Jun  6 2005 Wang Siyuan <sywang@redflag-linux.com> 1.1-4
- add big5 help support

* Mon May 16 2005 Wang Siyuan <sywang@redflag-linux.com> 1.1-3
- add korea language support

* Fri May 13 2005 Wang Siyuan <sywang@redflag-linux.com> 1.1-2
- add zh_TW support

* Tue Apr 05 2005 Zou Pengcheng <pczou@redflag-linux.com> 1.1-1
- build for Asianux 2.0
- procps interface changed massively:
    no freeproctab()
    no swap and nswap anymore (due to kernel 2.6)

* Wed Dec 01 2004 Zou Pengcheng <pczou@redflag-linux.com> 1.0.27
- fix %% -> % conversion bug, which causes segfault when openup
  sensor selection window again.

* Mon Jul 19 2004 Zou Pengcheng <pczou@redflag-linux.com> 1.0.26
- IA64 port
- remove libproc.so.2.0.7 totally
